Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Service_Types.cpp File Reference

`#include "ace/Service_Types.h"`
`#include "ace/Stream_Modules.h"`
`#include "ace/Stream.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for Service_Types.cpp:

## Typedefs
typedef ACE_Stream< ACE_SYNCH > | MT_Stream
typedef ACE_Module< ACE_SYNCH > | MT_Module
typedef ACE_Task< ACE_SYNCH > | MT_Task
## Functions
const char * | get_rcsid_ace_Service_Types (const char *)
## Variables
const char * | rcsid_ace_Service_Types = get_rcsid_ace_Service_Types ( rcsid_ace_Service_Types )

## Typedef Documentation

typedef ACE_Module<ACE_SYNCH> MT_Module

typedef ACE_Stream<ACE_SYNCH> MT_Stream

typedef ACE_Task<ACE_SYNCH> MT_Task

## Function Documentation

const char* get_rcsid_ace_Service_Types | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Service_Types = get_rcsid_ace_Service_Types ( rcsid_ace_Service_Types )`[static]`